#ifndef DISPred_ControlCards_h
#define DISPred_ControlCards_h

#include <string>
#include <map>
#include <vector>



typedef std::map < std::string , double > InputControlCardsDouble;
typedef std::map < std::string , std::string > InputControlCardsString;
typedef std::map < std::string , int    > InputControlCardsInt;
typedef std::map < std::string , std::vector<double> > InputControlCardsVector;

namespace DISPred  {
  class ControlCards {
    
  public: 
    
    static ControlCards* Instance();
    
    int readKeys(const char* fileName);
    
    void AddCardDouble(const std::string key, const double defval);
    void AddCardInt(const std::string key, const int defval);
    void AddCardString(const std::string key, const std::string defval);
    void AddCardVector(const std::string key, const std::vector<double> defval);
    
    double fetchValueDouble(const std::string& key);
    int fetchValueInt(const std::string& key);
    std::string fetchValueString(const std::string& key);
    std::vector<double> fetchValueVector(const std::string&);
    
  private:
    
    ControlCards(){};
    ~ControlCards(){};
    
    InputControlCardsDouble cd;
    InputControlCardsString cs;
    InputControlCardsInt  ci;
    InputControlCardsVector cv;
    void printCards();
    
  };
}
#endif
