#include "RedSigmaPoint.h"

using namespace DISPred;

RedSigmaPoint::RedSigmaPoint(){
  _q2=1.5;
  _x=0.1;
  _redsigma=0.0;
  _d2sdq2dx=0.0;
}

RedSigmaPoint::RedSigmaPoint(double q2, double x){
  _q2=q2;
  _x=x;
  _redsigma=0.0;
  _d2sdq2dx=0.0;
  //  std::cout << _q2 << " " << _x <<std::endl;
}

RedSigmaPoint::RedSigmaPoint(double q2, double x,double redsigma){
  _q2=q2;
  _x=x;
  _redsigma=redsigma;
  _d2sdq2dx=0.0;
}


RedSigmaPoint::RedSigmaPoint(double q2, double x,double redsigma, double d2sdq2dx){
  _q2=q2;
  _x=x;
  _redsigma=redsigma;
  _d2sdq2dx=d2sdq2dx;
}

RedSigmaPoint::~RedSigmaPoint(){
}


void RedSigmaPoint::Print(){
  std::cout<< "Reduced Cross Section Point(x,Q^2,\\tilde{sigma}) " << _q2 << " " << _x << " " << _redsigma <<std::endl;
}

void RedSigmaPoint::PrintShort(){
  std::cout << _q2 << " " << _x << " " << _redsigma << " " << _d2sdq2dx <<std::endl;
}
